#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    int niz[200010],pod[200010];
    int n;
    cin>>n;
    for(int i=1;i<=n;i++)
        cin>>niz[i];
    int broj=0;
    for(int i=2;i<=n;i++)
    {
        if(niz[i-1]>niz[i])
            broj++;
        pod[i]=broj;
    }
    int q;
    int l,r;
    cin>>q;
    while(q--)
    {
        cin>>l>>r;
        if(pod[r]-pod[l]>1)
            cout<<"NE\n";
        else cout<<"DA\n";
    }

    return 0;
}